org.eclipse.wst.jsdt.js.common.util

## Class EditorUtility

- java.lang.Object
- - org.eclipse.wst.jsdt.js.common.util.EditorUtility

    public class EditorUtility
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`EditorUtility()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IEditorPart` `isOpenInEditor(ITask task)` Tests if a is currently shown in an editor
`static void` `revealInEditor(IEditorPart editorPart, ITask task)`
`static void` `revealInEditor(IEditorPart editorPart, ITask task, IWorkbenchPage page)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorUtility

    public EditorUtility()

### Method Detail

#### isOpenInEditor

    public static IEditorPart isOpenInEditor(ITask task)

Tests if a is currently shown in an editor

Returns:
  the IEditorPart if shown, null if element is not open in an editor

#### revealInEditor

    public static void revealInEditor(IEditorPart editorPart,
                                      ITask task)

#### revealInEditor

    public static void revealInEditor(IEditorPart editorPart,
                                      ITask task,
                                      IWorkbenchPage page)